from microbit import *                                   
Ipt = 0.00122
print('I dans pt1000',Ipt,'A')
sleep(1000)
for i in range(0,10) :                                         # initialisation d'une boucle#
    NPIN1= int(pin1.read_analog())            
    print('Nombre lu sur la pin1 :',NPIN1)
    Upt = NPIN1*3.3/1023                             # on nomme une variable Upt qui est la traduction du nombre lu su X19 en tension sachant que 4095 correspond a 3,3 V#  
    print('Tension mesuree sur la pin1 :',round(Upt,2),'V')
    Rpt = (Upt/Ipt)     # Calcul Rpt = tension/intensité"#
    Tpt = round(0.256*Rpt-255.8,1)                          # Calcul de la temperature à partir de la modelisation de la courbe T=f(R)avec un chiffre apres la virgule#
    print('Temperature de la piece :',Tpt,'degres C')
    sleep(2000)                     # durée d'attente entre deux mesures : ici 1000 ms#
